Skip to main content
GET
/
youtube
/
niches
cURL
curl -X GET "https://apiv3.creatordb.app/youtube/niches" \
  -H "api-key: <YOUR_API-KEY_HERE>"
{
  "data": [
    {
      "id": "id_vlog_PeopleBlogs",
      "name": "Vlog",
      "category": "People Blogs",
      "channelCount": 13004
    },
    {
      "id": "id_shorts_PeopleBlogs",
      "name": "Shorts",
      "category": "People Blogs",
      "channelCount": 7709
    },
    {
      "id": "id_love_PeopleBlogs",
      "name": "Love",
      "category": "People Blogs",
      "channelCount": 4153
    },
    {
      "id": "id_news_PeopleBlogs",
      "name": "News",
      "category": "People Blogs",
      "channelCount": 2605
    },
    {
      "id": "id_asmr_PeopleBlogs",
      "name": "Asmr",
      "category": "People Blogs",
      "channelCount": 4490
    },
    {
      "id": "id_viral_PeopleBlogs",
      "name": "Viral",
      "category": "People Blogs",
      "channelCount": 6626
    },
    {
      "id": "id_tiktok_PeopleBlogs",
      "name": "Tiktok",
      "category": "People Blogs",
      "channelCount": 4898
    },
    {
      "id": "id_food_PeopleBlogs",
      "name": "Food",
      "category": "People Blogs",
      "channelCount": 5136
    },
    {
      "id": "id_funny_PeopleBlogs",
      "name": "Funny",
      "category": "People Blogs",
      "channelCount": 4719
    },
    {
      "id": "id_family_PeopleBlogs",
      "name": "Family",
      "category": "People Blogs",
      "channelCount": 3208
    }
  ],
  "traceId": "aabd94f7ff9e2d0f3fc4e218abd692d0",
  "timestamp": 1772076193778,
  "errorCode": "",
  "errorDescription": "",
  "success": true
}

Authorizations

api-key
string
header
required

The valid CreatorDB API key for authentication.

Response

YouTube niches data returned successfully.

YouTube Niches API response with all available niches

data
object[]
required

YouTube niches.

traceId
string
required

Unique trace ID for each request.

Example:

"f8e4a3b2c1d0e9f8a7b6c5d4e3f2a1b0"

timestamp
integer
required

Time the response was generated, represented as a Unix timestamp in milliseconds.

Example:

1750732453635

errorCode
string
required

Error code returned if the request fails. Empty if the request is successful.

Example:

""

errorDescription
string
required

Description of the error. Empty if the request is successful.

Example:

""

success
boolean
required

true if the request is successful.

Example:

true

Last modified on March 20, 2026